# $Revision: 1.15 $, $Date: 2004/05/06 18:43:01 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%include	/usr/lib/rpm/macros.perl
%define	pdir	AI
%define	pnam	Perceptron
Summary:	AI::Perceptron - an implementation of a Perceptron
Summary(pl):	AI::Perceptron - implementacja perceptronu
Name:		perl-%{pdir}-%{pnam}
Version:	1.0
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	17c4f512664a1981ed8894d85b8eefa4
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-Module-Build >= 0.20
%if %{with tests}
BuildRequires:	perl-accessors
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is meant to be an introduction to the internal operations
of Neural Networks.  It lets the user create a single node in a neural
net based on the Perceptron model.

For similar functionality, see Statistics::LTU.

%description -l pl
Ten modu ma by wprowadzeniem do wewntrznych operacji sieci
neuronowych. Pozwala uytkownikowi stworzy pojedynczy wze w sieci
neuronowej bazujcej na modelu perceptronu.

Podobn funkcjonalno mona znale w module Statistics::LTU.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	installdirs=vendor \
	destdir=$RPM_BUILD_ROOT
./Build
%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-AI-Perceptron.spec,v $
Revision 1.15  2004/05/06 18:43:01  ankry
- fixed perl-devel BR

Revision 1.14  2004/04/20 09:46:26  ankry
- bcond fixes/porting

Revision 1.13  2004/04/16 07:19:38  ankry
- license fixes and unification

Revision 1.12  2004/04/14 11:21:49  ankry
- caps and other cosmetics

Revision 1.11  2003/11/09 20:08:18  migo
- up to 1.0
- switch to Module::Build
- new bcond style, bconded BR: perl-accessors

Revision 1.10  2003/09/09 10:24:25  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:08:26  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:19  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:20  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 17:41:58  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:35:47  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:25:31  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/11 01:38:59  qboosh
- pl description, release 2

Revision 1.1  2002/08/05 18:42:22  radek
- new, STBR
